@charset "utf-8";

/* ====================
common
==================== */
:root {
    --color-black: #403830;
    --color-white: #FFFBF8;
    --color-red: #CC5937;
    --color-gray: #EFE7E5;
    --color-brown: #BB9384;
    --contentPadding: clamp(16px, 4.16vw, 60px);
    --sectionPadding: clamp(50px, 6.94vw, 100px);
    --main-font: "Zen Kaku Gothic New", sans-serif;
    --sub-font-jp: "Shippori Mincho B1", serif;
    --sub-font-en: "Cormorant Infant", serif;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}

body {
    background-image: url(../images/common/bg_white.jpg);
    background-size: auto;
    background-repeat: repeat;
    font-family: var(--main-font);
    color: var(--color-black);
    font-weight: 400;
    line-height: 1.5;
    letter-spacing: 0.05em;
    opacity: 0;
    transition: opacity 1.0s ease-in;
}

body.loaded {
    opacity: 1;
}

img {
    width: 100%;
    height: auto;
}

.article {
    width: 100%;
    margin: 80px auto 0;
}

.section {
    display: flex;
    flex-direction: column;
    gap: clamp(30px, 3.47vw, 50px);
    padding: var(--sectionPadding) var(--contentPadding);
}

.section__topic {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: "Cormorant Infant";
    font-size: clamp(2.8rem, 3.33vw, 4.8rem);
    font-weight: 500;
    line-height: 1.3;
    letter-spacing: 0.05em;
}

.section__topic div {
    display: flex;
    overflow: hidden;
}

.section__topic p {
    transform: translateY(100%);
    opacity: 0;
}

.section__topic span {
    color: var(--color-brown);
    font-family: var(--sub-font-jp);
    font-size: clamp(1.6rem, 1.66vw, 2.4rem);
    font-weight: 500;
    line-height: 1.3;
    letter-spacing: 0.1em;
    opacity: 0;
}

.article__header {
    display: flex;
    align-items: center;
    padding-left: 13.3vw;
    height: clamp(150px, 20.8vw, 300px);
    background-position-x: 30%;
    background-size: cover;
    background-repeat: no-repeat;
}

.article__topic {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: var(--sub-font-en);
    font-size: clamp(2.8rem, 3.33vw, 4.8rem);
    font-weight: 500;
    line-height: 1.3;
    letter-spacing: 0.05em;
}

.article__topic span {
    color: var(--color-white);
    font-family: var(--sub-font-jp);
    font-size: clamp(1.6rem, 1.66vw, 2.4rem);
    font-weight: 500;
    line-height: 1.3;
    letter-spacing: 0.1em;
}

/* common pc */
@media screen and (min-width: 769px) {
    html, body, a {
        cursor: none;
    }

    .cursor {
        width: 20px;
        height: 20px;
        background-color: rgb(208 139 114 / 0.8);
        border: 1px solid var(--color-white);
        border-radius: 50%;
        position: fixed;
        top: -20px;
        left: -20px;
        z-index: 9999;
        transform: translate(0, 0);
        transition: width 0.1s, height 0.1s, top 0.1s, left 0.1s;
        pointer-events: none;
    }

    .hover-common {
        transition: opacity 0.2s ease-out;
    }

    .hover-common:hover{
        opacity: 0.5;
    }

    .article {
        width: 87.5%;
        margin: 0 0 0 auto;
    }

    .section__topic {
        line-height: 1.5;
        letter-spacing: 0.1em;
    }
    
    .section__topic span {
        line-height: 1.5;
        letter-spacing: 0.15em;
    }

    .article__header {
        padding-left: 10.4vw;
        background-position: center;
    }
    
    .article__topic {
        line-height: 1.5;
        letter-spacing: 0.15em;
    }
    
    .article__topic span {
        line-height: 1.5;
        letter-spacing: 0.15em;
    }
}/* pc 769px */

/* ====================
header
==================== */
.header__group {
    width: 100%;
    height: 80px;
    padding: 0 20px;
    background-image: url(../images/common/bg_black.jpg);
    background-size: 150%;
    background-repeat: repeat;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 200;
}

.header__topic {
    display: flex;
    align-items: center;
    gap: clamp(5px, 0.69vw, 10px);
    color: var(--color-white);
    font-family: var(--sub-font-jp);
    font-size: clamp(2.0rem, 1.66vw, 2.4rem);
    line-height: 1.5;
    letter-spacing: 0.2em;
    white-space: nowrap;
}

.header__topic span {
    margin: 0 0 0 5px;
    font-family: var(--sub-font-en);
    letter-spacing: 0.05em;
}

.menuBtn {
    background-color: rgb(204 89 55 / 0.50);
    width: clamp(50px, 4.16vw, 60px);
    height: clamp(50px, 4.16vw, 60px);
    aspect-ratio: 1;
    padding: clamp(6px, 12%, 7.2px) 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    gap: 8%;
}

.menuBtn__icon {
    width: 100%;
    height: 100%;
    position: relative;
}

.menuBtn__line {
    display: block;
    width: 2%;
    height: 92.3%;
    background-color: var(--color-white);
    position: absolute;
    transition: all 0.6s ease-out;
}

.menuBtn__line--first {
    bottom: 0;
    left: 40%;
}

.menuBtn__line--second {
    bottom: 0;
    right: 40%;
}

.menuBtn__line--first.open {
    bottom: 50%;
    left: 48%;
    transform: translateY(50%) rotate(45deg);
}

.menuBtn__line--second.open {
    bottom: 50%;
    right: 48%;
    transform: translateY(50%) rotate(-45deg);
}

.menuBtn__txt {
    color: var(--color-white);
    font-family: var(--sub-font-jp);
    font-size: clamp(0.8rem, 0.69vw, 1.0rem);
    font-weight: 600;
    line-height: 1;
}

.nav {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0 auto;
    width: 100%;
    height: calc(100vh - 80px);
    background-color: rgb(64 56 48 / 0.9);
    position: fixed;
    top: 80px;
    z-index: 100;
    transform: translateY(-100%);
    transition: transform 0.6s ease-in-out;
}

.nav.active {
    transform: translateY(0);
}

.nav__group {
    display: flex;
    flex-direction: column;
    padding: 0 50px;
    gap: 30px;
}

.nav__topic {
    color: var(--color-brown);
    font-family: var(--sub-font-en);
    font-size: 1.6rem;
    font-weight: 700;
}

.nav__map {
    max-width: 252px;
    margin: 0 auto;
    position: relative;
}

.nav__map img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.nav__item {
    position: absolute;
    font-family: var(--sub-font-en);
    font-size: clamp(1.6rem, 1.25vw, 1.8rem);
    font-weight: 600;
    text-align: center;
    padding: 10px;
    transform: translate(-50%, -50%);
    white-space: nowrap;
}

.nav__item span {
    display: block;
    color: var(--color-red);
    font-family: var(--sub-font-jp);
    font-size: clamp(1.0rem, 0.83vw, 1.2rem);
    letter-spacing: 0.1em;
}

.nav__item--01 {
    top: 34.07%;
    left: 16.86%;
}

.nav__item--02 {
    top: 60.39%;
    left: 29.96%;
}

.nav__item--03 {
    top: 87.36%;
    left: 50.00%;
}

.nav__item--04 {
    top: 57.76%;
    left: 77.18%;
}

.nav__item--05 {
    top: 23.55%;
    left: 65.67%;
}

/* header pc */
@media screen and (min-width: 769px) {
    .header__group {
        width: 12.5%;
        height: 100vh;
        padding: clamp(20px, 5vh, 50px) 0;
        background-size: 600%;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        gap: clamp(30px, 5vh, 80px);
    }

    .header__topic {
        writing-mode: vertical-rl;
        letter-spacing: 0.5em;
    }

    .nav {
        width: auto;
        height: 100vh;
        top: 0;
        left: 12.5%;
        transform: translateX(-100%);
    }
    
    .nav.active {
        transform: translateX(0);
    }

    .nav__map {
        max-width: 280px;
    }
}/* pc 769px */

/* header pc */
@media screen and (max-height: 500px),(max-width: 319px) {
    .nav__topic {
        display: none;
    }

    .nav__map {
        max-width: none;
        margin: 0 auto;
        position: static;
    }

    .nav__map img {
        display: none;
    }

    .nav__list {
        display: flex;
        flex-direction: column;
        justify-content: center;
        gap: 15px;
    }

    .nav__item {
        position: static;
        transform: translate(0, 0);
        color: var(--color-white);
    }

    .nav__item span {
        color: var(--color-brown);
    }
}/* pc h500px */

/* ====================
main
==================== */
.blur {
    opacity: 0;
    width: 0;
    height: 100vh;
    background-color: rgba(255, 255, 255, 0.01);
    backdrop-filter: blur(5px);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 50;
    transition: backdrop-filter 0.6s ease-in-out, opacity 0.6s ease-in-out;
}

.blur.active {
    width: 100vw;
    opacity: 1;
}

/* ====================
footer
==================== */
.footer {
    background-color: rgba(64, 56, 48, 0.8);
    width: 100%;
    margin: 0 auto;
    padding: clamp(15px, 2.08vw, 30px) var(--contentPadding);
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.topBtn {
    display: block;
    width: clamp(40px, 3.47vw, 50px);
    height: clamp(40px, 3.47vw, 50px);
    position: fixed;
    right: 0;
    bottom: 0;
    opacity: 0;
    z-index: 5;
    transition: opacity 0.2s;
}

.topBtn.active {
    opacity: 0.6;
}

.footer__group {
    display: flex;
    align-items: center;
    gap: clamp(15px, 2.08vw, 30px);

}

.logo {
    display: block;
    width: clamp(30px, 2.77vw, 40px);
    height: clamp(30px, 2.77vw, 40px);
    object-fit: contain;
}

.footer__topic {
    color: var(--color-white);
    font-family: var(--sub-font-jp);
    font-size: clamp(1.4rem, 1.11vw, 1.6rem);
}

.footer__topic span {
    margin-left: 5px;
    font-family: var(--sub-font-en);
}

.copy {
    color: var(--color-white);
    font-family: var(--sub-font-en);
    font-size: clamp(1.0rem, 0.83vw, 1.2rem);
}

/* footer pc */
@media screen and (min-width: 769px) {
    .footer {
        width: 87.5%;
        margin: 0 0 0 auto;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        gap: 0;
    }

    .topBtn:hover {
        opacity: 1;
    }
}/* pc 769px */

/* js */
.js-fadeIn {
    opacity: 0;
}

.js-sv01 {
    opacity: 0;
    transform: translate(-50%, 0);
}

.js-sv02 {
    opacity: 0;
}